<?php
/* Mail Chimp support functions
------------------------------------------------------------------------------- */

// Theme init
if (!function_exists('fire_department_mailchimp_theme_setup')) {
	add_action( 'fire_department_action_before_init_theme', 'fire_department_mailchimp_theme_setup', 1 );
	function fire_department_mailchimp_theme_setup() {
		if (is_admin()) {
			add_filter( 'fire_department_filter_required_plugins',					'fire_department_mailchimp_required_plugins' );
		}
	}
}

// Check if Instagram Feed installed and activated
if ( !function_exists( 'fire_department_exists_mailchimp' ) ) {
	function fire_department_exists_mailchimp() {
		return function_exists('mc4wp_load_plugin');
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'fire_department_mailchimp_required_plugins' ) ) {
		function fire_department_mailchimp_required_plugins($list=array()) {
		if (in_array('mailchimp', fire_department_storage_get('required_plugins')))
			$list[] = array(
				'name' 		=> esc_html__('MailChimp for WP', 'fire-department'),
				'slug' 		=> 'mailchimp-for-wp',
				'required' 	=> false
			);
		return $list;
	}
}
?>